.commit-box {
  border-top: 1px solid $border-color;
  padding: $gl-padding 0;

  .commit-title {
    margin: 0;
    color: $gl-text-color;
  }
}

.pipeline-info {
  .status-icon-container {
    display: inline-block;
    vertical-align: middle;
    margin-right: 3px;

    svg {
      display: block;
      width: 22px;
      height: 22px;
    }
  }
}

.branch-info .commit-icon {
  svg {
    top: 3px;
  }
}

/*
 * Commit message textarea for web editor and
 * custom merge request message
 */
.commit-message-container {
  background-color: $body-bg;
  position: relative;
  font-family: $monospace-font;
  $left: 12px;

  .max-width-marker {
    width: 72ch;
    color: $commit-max-width-marker-color;
    font-family: inherit;
    left: $left;
    height: 100%;
    border-right: 1px solid mix($input-border, $white);
    position: absolute;
    z-index: 1;
  }

  textarea {
    background-color: $commit-message-text-area-bg;
    font-family: inherit;
    padding-left: $left;
    position: relative;
    z-index: 2;
  }
}

.commit-row-title {
  .str-truncated {
    max-width: 70%;
  }
}

.text-expander {
  display: inline-flex;
  background: $white;
  color: $gl-text-color-secondary;
  padding: 1px $gl-padding-4;
  cursor: pointer;
  border: 1px solid $gray-100;
  border-radius: $gl-border-radius-base;
  margin-left: 5px;
  font-size: 12px;
  line-height: $gl-font-size;
  outline: none;

  &.open {
    background-color: darken($gray-light, 10%);
    box-shadow: inset 0 0 2px rgba($black, 0.2);
  }

  &:hover {
    background-color: darken($gray-light, 10%);
    text-decoration: none;
  }
}

.commit.flex-list {
  display: flex;
}

.avatar-cell {
  img {
    margin-right: 0;
  }
}

.commit-content {
  padding-right: 10px;
  white-space: normal;

  .commit-title {
    display: flex;
    align-items: center;
  }

  .committer {
    color: $gl-text-color-secondary;

    .commit-author-link {
      color: $gl-text-color;
    }

    &.gl-display-inline-flex {
      gap: 0.5ch;
    }

    .commit-author-link.gl-text-truncate {
      max-width: 19ch;
    }
  }
}

.commit-actions {
  .ci-status-icon svg {
    vertical-align: text-bottom;
  }

  > .btn,
  > .commit-sha-group {
    margin-left: $gl-padding;
  }
}

.commit-nav-buttons {
  margin: 0 0.5rem;

  a.btn,
  button {
    // See: https://gitlab.com/gitlab-org/gitlab-ui/-/issues/730
    &:last-child > svg {
      margin-left: 0.25rem;
      margin-right: 0;
    }
  }
}


.clipboard-group,
.commit-sha-group {
  display: inline-flex;

  .label,
  .btn:not(.gl-button) {
    padding: $gl-vert-padding $gl-btn-padding;
    border: 1px $gray-200 solid;
    font-size: $gl-font-size;
    line-height: $line-height-base;
    border-radius: 0;
    display: flex;
    align-items: center;
  }

  .label-monospace {
    user-select: text;
    color: $gl-text-color;
    background-color: $gray-light;
  }

  .btn svg {
    top: auto;
    fill: $gl-text-color-secondary;
  }

  :first-child {
    border-bottom-left-radius: $gl-border-radius-base;
    border-top-left-radius: $gl-border-radius-base;
  }

  :not(:first-child) {
    border-left: 0;
  }

  :last-child {
    border-bottom-right-radius: $gl-border-radius-base;
    border-top-right-radius: $gl-border-radius-base;
  }
}

.commit,
.generic-commit-status {
  a {
    color: $gl-text-color;

    &.autodevops-badge {
      color: $white;
    }
  }

  .commit-row-description {
    display: none;
    flex: 1;

    a {
      color: $blue-600;
    }
  }

  &.inline-commit {
    .commit-row-title {
      font-size: 13px;
    }
  }
}

.branch-commit {
  .commit-icon {
    text-align: center;
    display: inline-block;

    svg {
      height: 14px;
      width: 14px;
      vertical-align: middle;
      fill: $gl-text-color-secondary;
    }
  }
}

.commit,
.generic-commit-status,
.branch-commit {
  .commit-sha {
    color: $blue-600;
  }
}

.signature-badge {
  &:hover {
    text-decoration: none;
  }

  .header-main-content & {
    margin-right: $gl-spacing-scale-2;
  }
}

.gpg-popover-certificate-details {
  ul {
    padding-left: $gl-padding;
  }

  li.unstyled {
    list-style-type: none;
  }
}

.signature-popover {
  display: flex;
  align-items: center;
  font-weight: $gl-font-weight-normal;
  line-height: 1.5;
}

.gpg-popover-icon {
  // same margin as .s32.avatar
  margin-right: $btn-side-margin;

  &.valid {
    svg {
      border: 1px solid $brand-success;
      fill: $brand-success;
    }
  }

  &.invalid {
    svg {
      border: 1px solid $gray-darkest;
      fill: $gray-darkest;
    }
  }

  svg {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    vertical-align: middle;
  }
}
